edu.csus.ecs.pc2.api

## Enum RunStates

- java.lang.Object
- - java.lang.Enum<RunStates>
  - - edu.csus.ecs.pc2.api.RunStates

- All Implemented Interfaces:
    Serializable, Comparable<RunStates>

      public enum RunStates
      extends Enum<RunStates>

  Run states.
  Version:
    $Id$
  Author:
    pc2@ecs.csus.edu

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEING_JUDGED` Being judged.
    `BEING_RE_JUDGED` Being re-judged
    `JUDGED` Judgment complete.
    `NEW` Newly submitted run
    `UNKNOWN` Undefined/unknown

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RunStates` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RunStates[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final RunStates UNKNOWN

      Undefined/unknown

    - #### NEW

          public static final RunStates NEW

      Newly submitted run

    - #### BEING_JUDGED

          public static final RunStates BEING_JUDGED

      Being judged.

    - #### BEING_RE_JUDGED

          public static final RunStates BEING_RE_JUDGED

      Being re-judged

    - #### JUDGED

          public static final RunStates JUDGED

      Judgment complete.

  - ### Method Detail

    - #### values

          public static RunStates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RunStates c : RunStates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RunStates valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null